Description: Adjust readfp() which has been removed in Python 3.12 as described
 in https://docs.python.org/3/whatsnew/3.12.html#configparser.
Bug-Debian: https://bugs.debian.org/1057604
Author: Andreas Tille <tille@debian.org>
Last-Update: Fri, 15 Dec 2023 18:38:17 +0100

--- a/versioneer.py
+++ b/versioneer.py
@@ -339,9 +339,9 @@ def get_config_from_root(root):
     # configparser.NoOptionError (if it lacks "VCS="). See the docstring at
     # the top of versioneer.py for instructions on writing your setup.cfg .
     setup_cfg = os.path.join(root, "setup.cfg")
-    parser = configparser.SafeConfigParser()
+    parser = configparser.ConfigParser()
     with open(setup_cfg, "r") as f:
-        parser.readfp(f)
+        parser.read_file(f)
     VCS = parser.get("versioneer", "VCS")  # mandatory
 
     def get(parser, name):
